package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import org.springframework.util.StringUtils;

public class DictQueryParam extends QueryParam {

    public void setName(String name) {
        if (!StringUtils.isEmpty(name)) addParam(new QueryParamExp("name", name));
    }

    public void setValue(String name) {
        if (!StringUtils.isEmpty(name)) addParam(QueryParamExp.like("value", "%" + name + "%"));
    }

    public void setGroupName(String groupName) {
        if (!StringUtils.isEmpty(groupName)) addParam(QueryParamExp.eq("groupName", groupName));
    }
}
