package cn.fastfun.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.util.List;

/**
 * 出库参数
 */
@Setter
@Getter
public class LibraryOutFormParam {

    @ApiModelProperty(value = "批次号", name = "batchNum")
    private List<Integer> batchNum;

    @ApiModelProperty(value = "设备编号", name = "sn", required = true)
    private List<String> sn;

    @ApiModelProperty(value = "接收人姓名", name = "receiverName", required = true)
    private String receiverName;


    @ApiModelProperty(value = "接收人电话", name = "receiverPhone", required = true)
    private String receiverPhone;

    @ApiModelProperty(value = "出库类型", name = "outType", required = true)
    private Integer outType;

    @ApiModelProperty(value = "出库备注", name = "remarks", required = true)
    private String remarks;

}
